ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 25/02/2024 - 11:57
נושא ההודעה: איך בוחרים להריץ גרסה מסוימת של פייתון?

בקורס ברשת בענין רשתות ויצירת שרת-לקוח בפייתון, יש תוכנה מוכנה (ECHO SERVER) שצריך להריץ, אבל היא נכתבה עם פייתון בגרסה 3.8, ומופיעה שגיאה Bad magic number בגלל שהגרסה שלי 3.11.

כרגע אני מריץ את התוכניות בקונסול ולא עם סביבת עבודה - איך כדאי לפתור את הבעיה?
נניח שאתקין גם את גרסת 3.8, איך אבחר אותה דווקא בהרצה?

וסתם מעניין: הגרסאות החדשות של פייתון או של שפות אחרות, אינן תומכות בגרסאות קודמות?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
astralcלא בפורום כעת ת.הצטרפות: 07/04/2006 · הודעות: 88 ·
 

הודעה פורסם: 25/02/2024 - 14:51
נושא ההודעה:

תשתמש ב pyenv בשביל להתקין ולהשתמש בגרסא ישנה יותר בלי לפגוע בפייתון שמותקן אצלך גלובלית.

ציטוט:
הגרסאות החדשות של פייתון או של שפות אחרות, אינן תומכות בגרסאות קודמות?

ניתן להריץ תוכנות שנכתבו בגרסא ישנה יותר גם בגרסא חדשה (עד רמה מסויימת, בכל גרסא יש שינויים שיכולים לגרום שבירה עם קוד מסויים) - אבל זה מתייחס רק לצד של הקוד - אם יש מודולים שנכתבו בC וקומפלו, הם צריכים את הגרסא המסויימת שהם נבנו איתה כדי לרוץ (וזה השגיאה במקרה שלך).
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 25/02/2024 - 16:20
14 נושא ההודעה:

תודה!
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. astralc
  3. אורח